Bug 705904 - rssh: potential intended restriction bypass in chroot
Summary: rssh: potential intended restriction bypass in chroot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100801,reported=20110512,sou...
Depends On: 705907 705908 705909
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-18 20:21 UTC by Vincent Danen
Modified: 2019-06-08 18:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-13 10:02:29 UTC


Attachments (Terms of Use)

Description Vincent Danen 2011-05-18 20:21:13 UTC
From the upstream release notes [1], version 2.3.3 corrects a minor security problem:

"John Barber reported a problem where, if the system administrator misconfigures rssh by providing two few access bits in the configuration file, the user will be given default permissions (scp) to the entire system, potentially circumventing any configured chroot. Fixing this required a behavior change: In the past, using rssh without a config file would give all users default access to use scp on an unchrooted system. In order to correct the reported bug, this feature has been eliminated, and you must now have a valid configuration file. If no config file exists, all users will be locked out."

[1] http://www.pizzashack.org/rssh/

Comment 1 Vincent Danen 2011-05-18 20:28:40 UTC
Created rssh tracking bugs for this issue

Affects: fedora-all [bug 705907]
Affects: epel-5 [bug 705908]
Affects: epel-6 [bug 705909]


Note You need to log in before you can comment on or make changes to this bug.